﻿using NHibernate.ByteCode.Castle;
using NHibernate.Cfg;
using NHibernate.Cfg.Loquacious;
using NHibernate.Dialect;
using NHibernate.Driver;

namespace YJingLee.TryConfOrm
{
    public static class NhConfig
    {
        //请按照机器配置连接字符串
        private const string ConnectionString =
            @"Data Source=.;Initial Catalog=NHTest;Integrated Security=True;Pooling=False";

        /// <summary>
        /// 最简配置NHibernate
        /// 详情可以参考 http://www.cnblogs.com/lyj/archive/2010/01/20/inside-nh3-lambda-configuration.html
        /// </summary>
        /// <returns></returns>
        public static Configuration ConfigureNHibernate()
        {
            var configure = new Configuration();
            configure.SessionFactoryName("Demo");
            configure.Proxy(p => p.ProxyFactoryFactory<ProxyFactoryFactory>());
            configure.DataBaseIntegration(db =>
                                              {
                                                  db.Dialect<MsSql2008Dialect>();
                                                  db.Driver<SqlClientDriver>();
                                                  db.ConnectionString = ConnectionString;
                                                  db.LogSqlInConsole = true;//用于显示输出SQL
                                              });
            return configure;
        }
    }
}